package com.bonus.canteen.core.account.v3.web.dto;

import cn.hutool.core.util.ObjectUtil;
import com.bonus.canteen.core.account.v3.api.dto.AccOrdBaseDTO;

import java.math.BigDecimal;

public class AccOrdMixPayResultDTO extends AccOrdBaseDTO {
   private Integer dealState;
   private BigDecimal unpaidBalance;

   public BigDecimal getUnpaidBalance() {
      return ObjectUtil.isNull(this.unpaidBalance) ? BigDecimal.ZERO : this.unpaidBalance;
   }

   public Integer getDealState() {
      return this.dealState;
   }

   public void setDealState(final Integer dealState) {
      this.dealState = dealState;
   }

   public void setUnpaidBalance(final BigDecimal unpaidBalance) {
      this.unpaidBalance = unpaidBalance;
   }

   public String toString() {
      Integer var10000 = this.getDealState();
      return "AccOrdMixPayResultDTO(dealState=" + var10000 + ", unpaidBalance=" + String.valueOf(this.getUnpaidBalance()) + ")";
   }

}
